package com.xxfc.platform.vehicle.pojo.vo;

import com.xxfc.platform.vehicle.entity.Vehicle;
import com.xxfc.platform.vehicle.entity.VehicleApply;
import com.xxfc.platform.vehicle.pojo.dto.VehicleModelCalendarPriceDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class VehicleVO extends Vehicle {
    private List<VehicleModelCalendarPriceDTO> priceDTOS;


   @ApiModelProperty("品牌名称")
    private String brandName;


    @ApiModelProperty("型号名称")
    private String categoryName;


    @ApiModelProperty("店铺名称")
    private String companyName;

    private VehicleApply vehicleApply;

    private  List<VehicleExtensionVO> extensionVOS;

    private Double distance;
}